import pandas as pd
df_112 = pd.read_csv(
    './examples/1_Pocasi_upr.csv',  
    usecols =[0,2,3,4,5], 
    skiprows = 1,
    names = ['timestamp', 'teplota', 'vlhkost', 'rychlost_vetru', 'smer_vetru'],
    na_values = {'vlhkost': -1, 'rychlost_vetru': 'no value', 'smer_vetru': '-'},
    encoding = 'cp1250',
    sep = ';',
    decimal = b',',
    parse_dates = ['timestamp'],
    # date_parser = lambda x: datetime.datetime.strptime(x, '%d.%m.%Y %H:%M'),
    date_parser = lambda x: pd.to_datetime(x, format = '%d.%m.%Y %H:%M'),
    index_col = 'timestamp' 
)
df_112.head()