# Předpokládejme data o vybraných metrikách v počasí, které senzory generují do textového souboru. Na daty chceme strojově provádět analýzy.

import csv

path = './examples/1_Pocasi.csv'
zaznamy = []
zahlavi = ['timestamp', 'teplota', 'vlhkost', 'rychlost_vetru', 'smer_vetru']


# Funkce pro čtení souboru
def cti_csv(path):
    global zaznamy
    with open(path, 'r') as f:
        reader = csv.reader(f)
        next(reader, None)
        for row in reader:
            zaznamy.append({
                'datum': row[zahlavi.index('timestamp')].split('T')[0],
                'hodina': int(row[zahlavi.index('timestamp')].split('T')[1].split(':')[0]),
                'teplota': row[zahlavi.index('teplota')],
                'vlhkost': row[zahlavi.index('vlhkost')],
                'rychlost_vetru': row[zahlavi.index('rychlost_vetru')],
                'smer_vetru': row[zahlavi.index('smer_vetru')]
            })

# Funkce pro výpočet max denní teploty
def max_teplota_den(date_str):
    max_t = 0
    for zaznam in zaznamy:
        if (zaznam['datum'] == date_str) and (float(zaznam['teplota']) > max_t):
            max_t = float(zaznam['teplota'])
    return max_t

# Funkce pro výpočet prům.  denní teploty
def prum_teplota_den(date_str):
    pocet_hodin = 0
    total_t = 0
    for zaznam in zaznamy:
        if zaznam['datum'] == date_str:
            if zaznam['teplota'] == '': continue
            t = float(zaznam['teplota'])
            total_t += t
            pocet_hodin += 1
    return total_t/pocet_hodin    

if __name__ == '__main__':
    cti_csv(path)